sil_set_mode
Prev | Chapter 9. sata_sil Internals | Next

## Name

sil_set_mode — wrap set_mode functions

## Synopsis

`int sil_set_mode (` | struct ata_port * | ap,
| struct ata_device ** | r_failed`)`;

## Arguments

`ap`

  port to set up

`r_failed`

  returned device when we fail

## Description

Wrap the libata method for device setup as after the setup we need to inspect the results and do some configuration work

Prev | Up | Next
Chapter 9. sata_sil Internals | Home | sil_dev_config